#ifndef TMSCREENSHOTALL_H
#define TMSCREENSHOTALL_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGButton.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

const UInt_t gNrFileTypes = 13;

class TMScreenShotAll : public TGTransientFrame {
    
  RQ_OBJECT("TMScreenShotAll")

  public:
    
  TMScreenShotAll(const TGWindow* p, const TGWindow *main, Int_t sendID, ULong_t runNb);
  virtual ~TMScreenShotAll();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:
  
  const TGWindow        *fSPD;
  TGButtonGroup         *fTop;
  TGRadioButton         *fRadio[gNrFileTypes];

  TGGroupFrame          *fMid;

  TGCompositeFrame	*fF[2];

  TGTextEntry		*fTextLocal;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Int_t                 fSendID;

  enum EEvents {
    TY_PS, TY_EPS, TY_PDF, TY_SVG, TY_GIF, TY_C, TY_ROOT, 
    TY_XML, TY_PNG, TY_XPM, TY_JPG, TY_TIFF, TY_XCF, 
    TEXT_VAL2,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
    LABEL_LOCAL
  };

  void AddRadioButton(TGCompositeFrame* frame, Int_t id, const Char_t *label);
  const Char_t* GetLabel(Int_t id);

  ClassDef(TMScreenShotAll, 1);
};

#endif
